diff -ru rosegarden-4-0.9.9-orig/configure rosegarden-4-0.9.9/configure
--- rosegarden-4-0.9.9-orig/configure	2004-08-30 00:50:01.000000000 -0700
+++ rosegarden-4-0.9.9/configure	2004-09-14 02:35:20.000000000 -0700
@@ -23178,7 +23178,7 @@
 if test "$ac_use_path_checking" = "default"; then
 
   if test -z "$kde_htmldir"; then
-    kde_htmldir='\${prefix}/share/doc/HTML'
+    kde_htmldir='\${prefix}/share/doc/kde'
   fi
   if test -z "$kde_appsdir"; then
     kde_appsdir='\${prefix}/share/applnk'
diff -ru rosegarden-4-0.9.9-orig/gui/colours.cpp rosegarden-4-0.9.9/gui/colours.cpp
--- rosegarden-4-0.9.9-orig/gui/colours.cpp	2004-08-30 00:50:00.000000000 -0700
+++ rosegarden-4-0.9.9/gui/colours.cpp	2004-09-14 02:39:44.000000000 -0700
@@ -25,26 +25,26 @@
 
 namespace RosegardenGUIColours
 {
-    const QColor ActiveRecordTrack = Qt::red;
+    const QColor ActiveRecordTrack = QColor(255, 0, 0);
 
     const QColor SegmentCanvas = QColor(230, 230, 230);
-    const QColor SegmentBorder = Qt::black;
+    const QColor SegmentBorder = QColor(0, 0, 0);
     const QColor RecordingSegmentBlock = QColor(255, 182, 193);
-    const QColor RecordingSegmentBorder = Qt::black;
+    const QColor RecordingSegmentBorder = QColor(0, 0, 0);
 
     const QColor RepeatSegmentBorder = QColor(130, 133, 170);
 
     const QColor SegmentAudioPreview = QColor(39, 71, 22);
-    const QColor SegmentInternalPreview = Qt::white;
-    const QColor SegmentLabel = Qt::black;
-    const QColor SegmentSplitLine = Qt::black;
+    const QColor SegmentInternalPreview = QColor(255, 255, 255);
+    const QColor SegmentLabel = QColor(0, 0, 0);
+    const QColor SegmentSplitLine = QColor(0, 0, 0);
 
-    const QColor MatrixElementBorder = Qt::black;
+    const QColor MatrixElementBorder = QColor(0, 0, 0);
     const QColor MatrixElementBlock = QColor(98, 128, 232);
 
     const QColor LoopRulerBackground = QColor(120, 120, 120);
-    const QColor LoopRulerForeground = Qt::white;
-    const QColor LoopHighlight = Qt::white;
+    const QColor LoopRulerForeground = QColor(255, 255, 255);
+    const QColor LoopHighlight = QColor(255, 255, 255);
 
     const QColor TempoBase = QColor(197, 211, 125);
 
@@ -52,13 +52,13 @@
 //    const QColor TextRulerBackground = QColor(120, 90, 238, QColor::Hsv);
 //    const QColor TextRulerBackground = QColor(210, 220, 140);
     const QColor TextRulerBackground = QColor(226, 232, 187);
-    const QColor TextRulerForeground = Qt::white;
+    const QColor TextRulerForeground = QColor(255, 255, 255);
 
     const QColor ChordNameRulerBackground = QColor(230, 230, 230);
-    const QColor ChordNameRulerForeground = Qt::black;
+    const QColor ChordNameRulerForeground = QColor(0, 0, 0);
 
     const QColor RawNoteRulerBackground = QColor(240, 240, 240);
-    const QColor RawNoteRulerForeground = Qt::black;
+    const QColor RawNoteRulerForeground = QColor(0, 0, 0);
 
     const QColor LevelMeterGreen = QColor(0, 200, 0);
     const QColor LevelMeterOrange = QColor(255, 165, 0);
@@ -68,14 +68,14 @@
     const QColor LevelMeterSolidOrange = QColor(220, 120, 0);
     const QColor LevelMeterSolidRed = QColor(255, 50, 50);
 
-    const QColor BarLine = Qt::black;
+    const QColor BarLine = QColor(0, 0, 0);
     const QColor BarLineIncorrect = QColor(211, 0, 31);
     const QColor BeatLine = QColor(100, 100, 100);
     const QColor SubBeatLine = QColor(212, 212, 212);
     const QColor StaffConnectingLine = QColor(192, 192, 192);
     const QColor StaffConnectingTerminatingLine = QColor(128, 128, 128);
 
-    const QColor Pointer = Qt::darkBlue;
+    const QColor Pointer = QColor(0, 0, 128);
     const QColor PointerRuler = QColor(100, 100, 100);
 
     const QColor InsertCursor = QColor(160, 104, 186);
@@ -98,11 +98,11 @@
 
     const QColor TextAnnotationBackground = QColor(255, 255, 180);
 
-    const QColor AudioCountdownBackground = Qt::darkGray;
-    const QColor AudioCountdownForeground = Qt::red;
+    const QColor AudioCountdownBackground = QColor(128, 128, 128);
+    const QColor AudioCountdownForeground = QColor(255, 0, 0);
 
-    const QColor RotaryFloatBackground = Qt::cyan;
-    const QColor RotaryFloatForeground = Qt::black;
+    const QColor RotaryFloatBackground = QColor(0, 255, 255);
+    const QColor RotaryFloatForeground = QColor(0, 0, 0);
 
     const QColor RotaryPastelBlue = QColor(205, 212, 255);
     const QColor RotaryPastelRed = QColor(255, 168, 169);
Only in rosegarden-4-0.9.9/gui: colours.cpp~
diff -ru rosegarden-4-0.9.9-orig/gui/notationtool.cpp rosegarden-4-0.9.9/gui/notationtool.cpp
--- rosegarden-4-0.9.9-orig/gui/notationtool.cpp	2004-08-30 00:50:01.000000000 -0700
+++ rosegarden-4-0.9.9/gui/notationtool.cpp	2004-09-14 02:35:20.000000000 -0700
@@ -718,17 +718,17 @@
 const char* NoteInserter::m_actionsAccidental[][5] = 
     {
         { "No accidental",  "1slotNoAccidental()",  "no_accidental",
-          "accidental-none", Rosegarden::Accidentals::NoAccidental.c_str() },
+          "accidental-none", "no-accidental" },
         { "Sharp",          "1slotSharp()",         "sharp_accidental",
-          "accidental-sharp", Rosegarden::Accidentals::Sharp.c_str() },
+          "accidental-sharp", "sharp" },
         { "Flat",           "1slotFlat()",          "flat_accidental",
-          "accidental-flat", Rosegarden::Accidentals::Flat.c_str() },
+          "accidental-flat", "flat" },
         { "Natural",        "1slotNatural()",       "natural_accidental",
-          "accidental-natural", Rosegarden::Accidentals::Natural.c_str() },
+          "accidental-natural", "natural" },
         { "Double sharp",   "1slotDoubleSharp()",   "double_sharp_accidental",
-          "accidental-doublesharp", Rosegarden::Accidentals::DoubleSharp.c_str() },
+          "accidental-doublesharp", "double-sharp" },
         { "Double flat",    "1slotDoubleFlat()",    "double_flat_accidental",
-          "accidental-doubleflat", Rosegarden::Accidentals::DoubleFlat.c_str() }
+          "accidental-doubleflat", "double-flat" }
     };
 
 //------------------------------
